# DataGridViewNumericUpDownCell

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

* [DataGridViewElement](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewelement.md)
  * [DataGridViewCell](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcell.md)
    * [DataGridViewNumericUpDownCell](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewnumericupdowncell.md)

Displays an editable [NumericUpDown](/api/wisej.web/editors/wisej.web.numericupdown.md) control in a [DataGridViewCell](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcell.md) cell when in edit mode.

{% tabs %}
{% tab title="C#" %}

```csharp
public class DataGridViewNumericUpDownCell : DataGridViewCell
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class DataGridViewNumericUpDownCell
    Inherits DataGridViewCell
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/hsR4ok3152WyAf8J2C1u) DataGridViewNumericUpDownCell()

Initializes a new instance of [DataGridViewNumericUpDownCell](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewnumericupdowncell.md).

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) DecimalPlaces

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Returns or sets the number of decimal places to display in the spin column (also known as an up-down column).

**Throws:**

* [ArgumentOutOfRangeException](https://docs.microsoft.com/dotnet/api/system.argumentoutofrangeexception) The value assigned is less than 0; or the value assigned is greater than 99.

### ![](/files/hsR4ok3152WyAf8J2C1u) EditType

[Type](https://docs.microsoft.com/dotnet/api/system.type): Returns the type of the cell's hosted editing control.

### ![](/files/hsR4ok3152WyAf8J2C1u) HideUpDownButtons

[Boolean](https://docs.microsoft.com/dotnet/api/system.boolean): Returns or sets the visibility of the spinner buttons.

### ![](/files/hsR4ok3152WyAf8J2C1u) Increment

[Decimal](https://docs.microsoft.com/dotnet/api/system.decimal): Returns or sets the value to increment or decrement the spin column (also known as an up-down column) when the up or down buttons are clicked.

**Throws:**

* [ArgumentOutOfRangeException](https://docs.microsoft.com/dotnet/api/system.argumentoutofrangeexception) The assigned value is not greater than or equal to zero.

### ![](/files/hsR4ok3152WyAf8J2C1u) Maximum

[Decimal](https://docs.microsoft.com/dotnet/api/system.decimal): Returns or sets the maximum value for the spin column (also known as an up-down column).

### ![](/files/hsR4ok3152WyAf8J2C1u) Minimum

[Decimal](https://docs.microsoft.com/dotnet/api/system.decimal): Returns or sets the minimum allowed value for the spin column (also known as an up-down column).

### ![](/files/hsR4ok3152WyAf8J2C1u) ThousandsSeparator

[Boolean](https://docs.microsoft.com/dotnet/api/system.boolean): Returns or sets whether a thousands separator is displayed in the spin column (also known as an up-down column) when appropriate.

### ![](/files/hsR4ok3152WyAf8J2C1u) ValueType

[Type](https://docs.microsoft.com/dotnet/api/system.type): Returns or sets the data type of the values in the cell.

## Implements

| Name                                                                    | Description                                                                                                     |
| ----------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------- |
| [IUserData](/api/wisej.web/interfaces/wisej.web.iuserdata.md)           | Provides access to the `UserData` and `Tag` properties associated to the component implementing this interface. |
| [ICommandSource](/api/wisej.web/interfaces/wisej.web.icommandsource.md) | Defines an object that can invoke a [Command](/api/wisej.web/interfaces/wisej.web.icommandsource.md#command).   |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewnumericupdowncell.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
